Skip to main content
GET
Get information about the supplier's products

Path Parameters

supplierapi
string
required
Pattern: supplier|apiv1/supplier

Query Parameters

productId
integer

Only return productsdetails for the product with this ID.

productName
string

Only return productsdetails that partially match this name.

productStatusCode
string

Only return productsdetails that are in this status.

sortBy
string

Sort the results by this field.

sortDirection
string

Sort the results in this direction.

recordsStart
integer

Position of first result to return.

recordsLength
integer

Number of results to return.

Response

Returned when successful